Summary:	RDP client for accessing Windows NT Terminal Server
Summary(pl.UTF-8):	Klient RDP umożliwiający dostęp do Terminal Serwera WinNT
Name:		rdesktop
Version:	1.8.4
Release:	1
License:	GPL v3+
Group:		X11/Applications/Networking
Source0:	https://github.com/rdesktop/rdesktop/releases/download/v1.8.4/rdesktop-1.8.4.tar.gz
# Source0-md5:	7273f9dad833f6899a3e5b39d7fdd6f2
Patch0:		%{name}-xinerama.patch
Patch1:		%{name}-heimdal.patch
URL:		http://www.rdesktop.org/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	heimdal-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcsc-lite-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rdesktop is an open source client for Windows NT or Windows 2000
Terminal Server, capable of natively speaking its Remote Desktop
Protocol (RDP) in order to present the user's NT desktop. Unlike
Citrix ICA, no server extensions are required.

%description -l pl.UTF-8
rdesktop jest klientem natywnie używającym protokołu RDP (Remote
Desktop Protocol) umożliwiającego dostęp do Terminal Servera Windows
NT lub Windows 2000. W przeciwieństwie do rozwiązań typu Citrix nie są
wymagane żadne rozszerzenia po stronie serwera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--enable-credssp \
	--enable-smartcard \
	--with-ipv6 \
	--with-sound=alsa
# note: --with-libvncserver requires vnc/ code, which don't exist

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/
%attr(755,root,root) %{_bindir}/rdesktop
%{_datadir}/rdesktop
%{_mandir}/man1/rdesktop.1*
%changelog
* Fri Oct 11 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rdesktop.git;a=log;h=master

* Fri Oct 11 2019 Adam Gołębiowski <adamg@pld-linux.org> cc57202
- updated to 1.8.4, fixes:
  -  memory corruption in process_bitmap_data - CVE-2018-8794
  -  remote code execution in process_bitmap_data - CVE-2018-8795
  -  remote code execution in process_plane - CVE-2018-8797
  -  Denial of Service in mcs_recv_connect_response - CVE-2018-20175
  -  Denial of Service in mcs_parse_domain_params - CVE-2018-20175
  -  Denial of Service in sec_parse_crypt_info - CVE-2018-20176
  -  Denial of Service in sec_recv - CVE-2018-20176
  -  minor information leak in rdpdr_process - CVE-2018-8791
  -  Denial of Service in cssp_read_tsrequest - CVE-2018-8792
  -  remote code execution in cssp_read_tsrequest - CVE-2018-8793
  -  Denial of Service in process_bitmap_data - CVE-2018-8796
  -  minor information leak in rdpsnd_process_ping - CVE-2018-8798
  -  Denial of Service in process_secondary_order - CVE-2018-8799
  -  remote code execution in in ui_clip_handle_data - CVE-2018-8800
  -  major information leak in ui_clip_handle_data - CVE-2018-20174
  -  memory corruption in rdp_in_unistr - CVE-2018-20177
  -  Denial of Service in process_demand_active - CVE-2018-20178
  -  remote code execution in lspci_process - CVE-2018-20179
  -  remote code execution in rdpsnddbg_process - CVE-2018-20180
  -  remote code execution in seamless_process - CVE-2018-20181
  -  remote code execution in seamless_process_line - CVE-2018-20182

* Sun Sep 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fa186af
- rel3

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 910784d
- rel 3; fix openssl 1.1 build

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 881fca0
- release 2 (by relup.sh)

* Tue Jan 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b78c79c
- up to 1.8.3

* Thu Sep 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bcc3390
- up to 1.8.2

* Mon Dec 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 72f49ee
- up to 1.8.1

* Thu Oct 24 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b3d7c2a
- segfault fixes from svn

* Thu Oct 24 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0533cd2
- up to 1.8.0

* Fri Apr 20 2012 Jakub Bogusz <qboosh@pld-linux.org> ccbb66c
- GPL version (v3+)
- package README
- BR: libsamplerate-devel, libXrandr-devel

* Thu Apr 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> acdb555
- adapterized

* Thu Apr 19 2012 Karol Krenski <charles@pld-linux.org> 4ee8acb
- updated for 1.7.1

* Thu Apr 19 2012 Karol Krenski <charles@pld-linux.org> 56f55bd
- updated to 1.7.1
- rm -vnc.patch (with bcond); updated BRs

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 5fc65f5
- rel 5

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 445c61d
- release 4

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> 382ea50
- BR: autoconf, automake, pkgconfig

* Mon Jul 27 2009 kosmo <kosmo@pld-linux.org> e322949
- Added xinerama patch from http://kom.aau.dk/~raller/rdesktop-xinerama.patch
  which fixes full screen behaviour on Xinerama enabled displays.
- Release 3.

* Thu Feb 26 2009 Elan Ruusamäe <glen@pld-linux.org> 48b6b10
- release 2

* Fri May 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d4701d7
- CVE references for rev. 1.41

* Thu May 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 262ab21
- up to 1.6.0
- fixes [CVE-2008-1801, CVE-2008-1802, CVE-2008-1803]

